Subject: Re: bug#65843: 28.2; Too many iconified frames in .emacs.desktop -> crash (macOS)

From: Alan Third <[email-masked]>
Date: Sun, 10 Sep 2023 18:09:59 +0100

On Sun, Sep 10, 2023 at 05:37:17PM +0200, Gerd Möllmann wrote:
> Christian Tanzer <[email-masked]> writes:
> 
> > Weirder and weirder …
> 
> Wait a moment...  I just got this
> 
> [emacs-29] gerd@Mini 2023-09-10 17:24 
> ~/emacs/29/src/ > ~/emacs/29/src/emacs -Q --eval '(desktop-read "~/bug-sowieso")' 
> objc[88769]: autorelease pool page 0x11b4a5000 corrupted
>   magic     0x00000000 0x00000000 0x00000000 0x00000000
>   should be 0xa1a1a1a1 0x4f545541 0x454c4552 0x21455341
>   pthread   0x201892080
>   should be 0x201892080
> 
> Fatal error 6: Aborted

I've a vague memory that I've seen something like this before and it
was a runaway loop corrupting the heap...
-- 
Alan Third